CertificateHolderAuthorization (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.asn1.eac

## Class CertificateHolderAuthorization

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.eac.CertificateHolderAuthorization

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertificateHolderAuthorization
      extends ASN1Object

  an Iso7816CertificateHolderAuthorization structure.

        Certificate Holder Authorization ::= SEQUENCE {
            // specifies the format and the rules for the evaluation of the authorization
            // level
            ASN1ObjectIdentifier        oid,
            // access rights
            DERApplicationSpecific    accessRights,
        }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CVCA`
    `static int` | `DV_DOMESTIC`
    `static int` | `DV_FOREIGN`
    `static ASN1ObjectIdentifier` | `id_role_EAC`
    `static int` | `IS`
    `static int` | `RADG3`
    `static int` | `RADG4`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateHolderAuthorization(ASN1ObjectIdentifier oid, int rights)` create an Iso7816CertificateHolderAuthorization according to the parameters
    `CertificateHolderAuthorization(DERApplicationSpecific aSpe)` create an Iso7816CertificateHolderAuthorization according to the `DERApplicationSpecific`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessRights()`
    `static int` | `GetFlag(java.lang.String description)`
    `ASN1ObjectIdentifier` | `getOid()`
    `static java.lang.String` | `GetRoleDescription(int i)`
    `ASN1Primitive` | `toASN1Primitive()` return the Certificate Holder Authorization as a DERApplicationSpecific Object

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id_role_EAC

          public static final ASN1ObjectIdentifier id_role_EAC

    - #### CVCA

          public static final int CVCA

      See Also:
        Constant Field Values

    - #### DV_DOMESTIC

          public static final int DV_DOMESTIC

      See Also:
        Constant Field Values

    - #### DV_FOREIGN

          public static final int DV_FOREIGN

      See Also:
        Constant Field Values

    - #### IS

          public static final int IS

      See Also:
        Constant Field Values

    - #### RADG4

          public static final int RADG4

      See Also:
        Constant Field Values

    - #### RADG3

          public static final int RADG3

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CertificateHolderAuthorization

          public CertificateHolderAuthorization(ASN1ObjectIdentifier oid,
                                        int rights)
                                         throws java.io.IOException

      create an Iso7816CertificateHolderAuthorization according to the parameters
      Parameters:
        `oid` - Object Identifier : specifies the format and the rules for the evaluatioin of the authorization level.
        `rights` - specifies the access rights
      Throws:
        `java.io.IOException`

    - #### CertificateHolderAuthorization

          public CertificateHolderAuthorization(DERApplicationSpecific aSpe)
                                         throws java.io.IOException

      create an Iso7816CertificateHolderAuthorization according to the `DERApplicationSpecific`
      Parameters:
        `aSpe` - the DERApplicationSpecific containing the data
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### GetRoleDescription

          public static java.lang.String GetRoleDescription(int i)

    - #### GetFlag

          public static int GetFlag(java.lang.String description)

    - #### getAccessRights

          public int getAccessRights()

      Returns:
        containing the access rights

    - #### getOid

          public ASN1ObjectIdentifier getOid()

      Returns:
        the Object identifier

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      return the Certificate Holder Authorization as a DERApplicationSpecific Object
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.